Subject: [PATCH-V2 04/12] i2c: pxa: Reset i2c controller on timeout in interrupt and pio mode

From: [email-masked] (Robert Jarzmik)
Date: Fri, 03 Jul 2015 17:27:25 +0200

Vaibhav Hiremath <[email-masked]> writes:

> In case of timeout during msg xfer assert reset to
> i2c controller for both interrupt and PIO mode of operation.
>
> Signed-off-by: Jett.Zhou <[email-masked]>
> [vaibhav.hiremath at linaro.org: Split & merge patches into logical changes
> and update the Changelog]
> Signed-off-by: Vaibhav Hiremath <[email-masked]>

I already said it previously, I'm against an unconditional reset in a timeout
path. Make it a quirk or whatever, but in the current status, I'm against.

The previous behavior looks correct to me : upon timeout, retry, no need to
reset.

--
Robert